# Interface yii\web\AssetConverterInterface

Implemented by | yii\web\AssetConverter
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/AssetConverterInterface.php

The AssetConverterInterface must be implemented by asset converter classes.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
convert() | Converts a given asset file into a CSS or JS file. | yii\web\AssetConverterInterface

## Method Details

convert() public abstract method

Converts a given asset file into a CSS or JS file.

public abstract string convert ( $asset, $basePath )
$asset | string | The asset file path, relative to $basePath
$basePath | string | The directory the $asset is relative to.
return | string | The converted asset file path, relative to $basePath.